function UFXCTProcessingFul4(outputFolder)

% Turns the field 'data.calculations.averageRedConcentration' of data.mat
% into a struct, to make it compatible with the format of the dynamic data.
% The experimental average red concentation values are moved to the field
% 'c' of this new struct.
% All necessary parameters are read from the file parametersFul4.m, found
% in the output folder.

% Theodoros-Nestor Papapetrou
% Last edited: 23 Mar 2023

%% Input

% outputFolder: the path to the output folder, where all results are saved.
    % The output folder needs to exist and contain the file
    % 'parametersFul4.m' with the correct parameter values before calling
    % this function.
    % e.g. outputFolder = 'P:\ROFEX data\202103\static_parts_fitted\run1f_0rot';

%% Read parameters

run(fullfile(outputFolder,'parametersFul4.m'));

%% Copy data.mat to output folder, load data

if ~isequal(sourceFolder,outputFolder)
    data = fullfile(sourceFolder,'data.mat');
    copyfile(data,outputFolder)
end

data = fullfile(outputFolder,'data.mat');
load(data,'calculations');

%% Create average red concentration struct

c = calculations.averageRedConcentration;
averageRedConcentration.c = c;
calculations.averageRedConcentration = averageRedConcentration;

%% Save results to data.mat

save(data,'calculations','-append');
