function P_short = remove_0_cols_rows(P)

% Removes the columns and rows of P which consist entirely of zero
% (background) values.

% Theodoros-Nestor Papapetrou
% Last edited: 02 Oct 2020

%% Input

% P: uint8 H x W matrix with values corresponding to colors:
% 1: red, 2: white, 0: background (black)
% P represents an image of the rotating drum with red and white particles

%% Output

% P_short: P without the black rows and columns

%% Calculation

P_short=P(any(P,2),any(P,1));