function writeVideo2Path(vid, path, framerate)

% Writes a matrix as a video to the given path.
% 15.04.2020

%% Input

% vid: matrix containing the video
% It is suggested that vid is a H x W x C x F uint8 matrix,
% where: H: height, W: width, C: no of colors, F: no of frames

% path: character, the location where the video is to be saved.
% It must end with the name of the video, including an appropriate ending
% (.avi, .mp4, etc.).
% e.g. path = 'C:\CameraSSD Downloads\newvid.avi'
% e.g. path = 'newvid.avi' (it will be written in the current folder)

% framerate: integer, the frame rate of the video (frames per second)
% e.g. framerate = 25

%% Output

% The video is written in the folder specified in the path.

%%
v_writer = VideoWriter(path);
v_writer.FrameRate = framerate;
open(v_writer);
writeVideo(v_writer,vid);
close(v_writer);