% cameraProcessing4

% The diameterMeasurements.xlsx document in the results folder has to be
% filled, using data from referenceFrameP.png in results

% Theodoros-Nestor Papapetrou
% Last edited: 24 Nov 2020

%% Read diameter measurements, calculate particle diameter

diamMeas = table2struct(readtable('results\diameterMeasurements.xlsx'));
diamStat = calculateParticleDiameter(diamMeas);
d_p = diamStat(9).mean;
calculations.particleDiameterMeasurements = diamMeas;
calculations.particleDiameterStatistics = diamStat;
calculations.particleDiameter_pixels = d_p;

%% Modified contact mixing index

Mmod = M_cont_modified3D(calculations.Pvid, d_p);
calculations.modifiedContactMixingIndex = Mmod;

%% Figures

figure;
scatter(rotationsNaive,Mmod);
xlabel('rotations')
ylabel('M')
set(gca,'FontSize',16)
saveas(gcf,'results\figure_M_rotations.png');
close

figure;
angle = calculations.topSurfaceLinear.angleOfRepose_degrees;
scatter(rotationsNaive,angle);
xlabel('rotations')
ylabel('dynamic angle of repose (degrees)')
set(gca,'FontSize',16)
saveas(gcf,'results\figure_angle_rotations.png');
close

clear diamMeas diamStat d_p Mmod F M_vs_rot angle angle_vs_rot

save('results\data.mat');