% cameraProcessing5

% Theodoros-Nestor Papapetrou
% Last edited: 15 Dec 2020

%% Median angle

clear
load results\data;

aor = calculations.topSurfaceLinear.angleOfRepose_degrees;
angleMedian = median(aor,'omitnan');
calculations.topSurfaceLinear.angleMedian_degrees = angleMedian;

clear aor angleMedian

%% Variance method

Mvar = zeros(noOfFrames,1);
winSize = 2*calculations.particleDiameter_pixels;
winSize = floor(winSize);
vertex = [1,1];

for ii = 1:noOfFrames
    
    P = calculations.Pvid(:,:,ii);
    Mvar(ii) = M_variance(P,winSize,vertex);

end

calculations.varianceMixingIndex.vertex_pixel = vertex;
calculations.varianceMixingIndex.gridSize_pixels = winSize;
calculations.varianceMixingIndex.mixingIndex = Mvar;

clear winSize vertex P

%% Figure with contact and variance method

Mvar = calculations.varianceMixingIndex.mixingIndex;
w_Hz = experimentalConditions.rotationalSpeed_Hz;
frate = experimentalConditions.framerate_fps;
rotationsNaiveAbs = [1:noOfFrames] / frate * w_Hz;
Mmod = calculations.modifiedContactMixingIndex;

figure
hold on
c1 = [0 88 157]/255; % HZDR blue
c2 = [207 103 0]/255; % HZDR orange
scatter(rotationsNaiveAbs,Mvar,[],c1,'filled');
scatter(rotationsNaiveAbs,Mmod,[],c2,'^','filled');
ylim([0 1]);
% xlabel('rotations')
% ylabel('M')
xticks([0 15 30])
yticks([0 0.5 1])
set(gca,'FontSize',40)
saveas(gcf,'results\figure_M_rotations_both.png');
close

clear w_Hz frate Mmod Mvar colors c1 c2

% save results\data;